<?php
namespace Teknisa\SUP\Modules\Cotacao\Modules\Pedido\Controllers; 

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class Sup00300PedidoDeColetaPorRegiaoController extends \Zeedhi\Framework\Controller\Report
{
    protected $qr2Strategy;
    protected $stNomeRel;
    protected $stExtensao;
    
    public  function __construct($reportService, $qr2Strategy)
    {
        parent::__construct($reportService);
        $this->qr2Strategy = $qr2Strategy;
    }
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response)
    {
        $row = $request->getRow();
        
        $row['CDREGIAO1'] = $row['CDREGIAO'];
        $row['CDREGIAO2'] = $row['CDREGIAO'];
        $row['CDREGIAO3'] = $row['CDREGIAO'];
        $row['CDREGIAO4'] = $row['CDREGIAO'];
        $row['CDREGIAO5'] = $row['CDREGIAO'];
        $row['CDREGIAO6'] = $row['CDREGIAO'];
        $row['CDREGIAO7'] = $row['CDREGIAO'];
        
        $row['CDOPERADOR1'] = $row['CDOPERADOR'];
        $row['CDOPERADOR2'] = $row['CDOPERADOR'];
        $row['CDOPERADOR3'] = $row['CDOPERADOR'];
        $row['CDOPERADOR4'] = $row['CDOPERADOR'];
        $row['CDOPERADOR5'] = $row['CDOPERADOR'];
        $row['CDOPERADOR6'] = $row['CDOPERADOR'];
        $row['CDOPERADOR7'] = $row['CDOPERADOR'];
        
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
        $this->stNomeRel = $this->getReportName($row);
        $this->reportMapping[$this->stNomeRel] =
            array(
                'strategy' => $row['STRATEGY'],
                'parameterMapping' =>
                array(
                    "NIVEL"        => "P_NIVEL",
                        "CDFILIPROC"   => "P_CDFILIPROC",
                        "CDFILIAL"     => "P_CDFILIAL",
                        "DTINICIAL"    => "P_DTINICIAL",
                        "DTFINAL"      => "P_DTFINAL",
                        "DTINI"        => "P_DTINI",   
                        "DTFIM"        => "P_DTFIN", 
                        "CDARVPRODINI" => "P_CDPRODINI",
                        "CDARVPRODFIN" => "P_CDPRODFIN",
                        "TPRODUTO"     => "P_TPRODUTO",
                        
                        "CDREGIAO"     => "L_CDREGIAO",
                        "CDREGIAO1"    => "L_CDREGIAO1",
                        "CDREGIAO2"    => "L_CDREGIAO2",
                        "CDREGIAO3"    => "L_CDREGIAO3",
                        "CDREGIAO4"    => "L_CDREGIAO4",
                        "CDREGIAO5"    => "L_CDREGIAO5",
                        "CDREGIAO6"    => "L_CDREGIAO6",
                        "CDREGIAO7"    => "L_CDREGIAO7",
                        
                        "CDOPERADOR"  => "L_CDCOMPRADOR",
                        "CDOPERADOR1" => "L_CDCOMPRADOR1",
                        "CDOPERADOR2" => "L_CDCOMPRADOR2",
                        "CDOPERADOR3" => "L_CDCOMPRADOR3",
                        "CDOPERADOR4" => "L_CDCOMPRADOR4",
                        "CDOPERADOR5" => "L_CDCOMPRADOR5",
                        "CDOPERADOR6" => "L_CDCOMPRADOR6",
                        "CDOPERADOR7" => "L_CDCOMPRADOR7"
                    ),
                );
    }
}
