<?php
namespace Teknisa\SUP\Modules\Fornecimento\Modules\EmissaoAF\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\GER\Utilities\Environment;
use Teknisa\GER\Services\NewCode;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;

class Cmp08600RelacionamentoFornecedores  {

    protected $environment;
	protected $dataSourceManager;
	protected $newCode;
	protected $connection;

	

    public function __construct(Environment $environment, \Doctrine\ORM\EntityManager $entityManager ,$dataSourceManager,NewCode $newCode, $connection){
		$this->environment = $environment;
        $this->entityManager = $entityManager;
		$this->dataSourceManager = $dataSourceManager;
        $this->newCode = $newCode;
        $this->connection = $connection;
	}
	
	public function excluiRelacao(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $params = array(
    		"CDFORNERELACAF" => null,
    		"OLD_CDFORNECED" => $row['CDFORNECED']
    	);
    	
    	$sql = "UPDATE FORNECEDOR SET CDFORNERELACAF = :CDFORNERELACAF WHERE CDFORNECED = :OLD_CDFORNECED";
    	$query = $this->connection->prepare($sql);
    	$query->execute($params);
        
        
    }


    public function adicionaRelacao(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();

        $params = array(
    		"CDFORNERELACAF" => $row['OLDFORNECED'],
    		"OLD_CDFORNECED" => $row['CDFORNECED']
    	);
    	
    	$sql = "UPDATE FORNECEDOR SET CDFORNERELACAF = :CDFORNERELACAF WHERE CDFORNECED = :OLD_CDFORNECED";
    	$query = $this->connection->prepare($sql);
    	$query->execute($params);
        
        
    }
}